Bezpečnostná aktualizácia VirtueMart 3.0.12 je k dispozícii!

Spoločnosť Qualys.com našla novú chybu, možné XSS. Táto chyba zneužíva kľúčové polia v URL. Väčšina serverov tomu zabraňuje v predvolenom nastavení, ale napriek tomu bola pridaná ďalšia ochrana. Taktiež bolo zachytených a opravených niekoľko menších chýb a porúch pokročilých funkcií a v neposlednom rade bolo doplnených niekoľko chýbajúcich kompatibilít pre určité prípady. Táto aktualizácia nasleduje 3 kandidátov na verziu s viac ako 2000 stiahnutiami.

Čítať ďalej...

Bezpečnostná aktualizacia VirtueMart 3.0.9

Ako bolo spomenuté v posledných správach, VirtueMart je auditovaný rôznymi bezpečnostnými firmami. Sme radi, že objavili perzistentný XSS útok predtým, než sme vydali verziu vm3.0.8, takže táto verzia už obsahuje aj opravu.

Čítať ďalej...

Bezpečnostná aktualizácia VM 3.0.8

Po niekoľkých predbežných verziách je tu konečne aktualizácia VirtueMart 3.0.8
Všetky opravy boli poskytnuté vo VM 3.0.6, okrem toho bola vydaná aj aktualizácia VM 3.0.6.2 pre minimalizovanie problémov v PHP.

Čítať ďalej...

VIRTUEMART 3.0.6 s kompletne prepracovaným „MULTI VARIANTS“

Vo VirtueMart 3.0.6 sme doladili kompletne prepracovaný „Multi Variants“, ktorý bol zavedený v predchádzajúcej verzii. Dovoľte nám ho v skratke priblížiť.

Jednou z najpokročilejších funkcii v elektronickom obchode je možnosť zobraziť rôzne varianty jedného produktu v jednoznačnej štruktúre. Typickým príkladom sú varianty tričiek. Vytvorili sme malý príklad:

Čítať ďalej...

VirtueMart 3.0.4 – rieši chybu v jadre!

Predčasná aktualizácia VirtueMart 3.0.4, ktorá úspešne rieši nastavenie chybového riešenia, ktoré mohlo odhaliť cestu skutočného útoku na server.

Okrem toho, VirtueMart 3.0.4 tiež pracuje so striktnými chybami (vypovedajúcimi o ceste), ku ktorým občas dochádza pri používateľoch php5.4 alebo php5.5. VM tím pridal funkciu pre vypnutie „prísnych noriem“ (strict standards) podávania správ pre nastavenia „vylúčiť“ a „žiadny“ v Joomla.

Čítať ďalej...